## org.hibernate.stat
Interface QueryStatistics

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  ConcurrentQueryStatisticsImpl

    public interface QueryStatistics

extends Serializable

Query statistics (HQL and SQL)

Note that for a cached query, the cache miss is equals to the db count

Method Summary
`long` `getCacheHitCount()`
`long` `getCacheMissCount()`
`long` `getCachePutCount()`
`long` `getExecutionAvgTime()`
`long` `getExecutionCount()`
`long` `getExecutionMaxTime()`
`long` `getExecutionMinTime()`
`long` `getExecutionRowCount()`

Method Detail

### getExecutionCount

    long getExecutionCount()

### getCacheHitCount

    long getCacheHitCount()

### getCachePutCount

    long getCachePutCount()

### getCacheMissCount

    long getCacheMissCount()

### getExecutionRowCount

    long getExecutionRowCount()

### getExecutionAvgTime

    long getExecutionAvgTime()

### getExecutionMaxTime

    long getExecutionMaxTime()

### getExecutionMinTime

    long getExecutionMinTime()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.